# Kuma Discord Status Bot

This script integrates [Uptime Kuma](https://github.com/louislam/uptime-kuma) status pages with Discord, posting live status updates to specified channels.

## Features

- Fetches status from Uptime Kuma API.
- Posts and updates rich embed messages in Discord channels.
- Supports multiple channels and status pages.
- Updates every 5 minutes via cron.

## Setup

### 1. Requirements

- Node.js (v16+ recommended)
- Discord bot token
- Uptime Kuma instance with API access

### 2. Configuration
Create a `.env` file in the root directory with the following variables:
```
KUMA_BASE_URL=https://your-uptime-kuma-instance.com
TOKEN=your-discord-bot-token
```

### 3. Subscription Configuration
Create a `subs.json` file in the root directory to define which channels should receive updates.
Example:
```json
{
  "channel_id_1": "status_page_id_1",
  "channel_id_2": "status_page_id_2"
}
```